//
//  GMPhobosSqulitModel.m
//  GMPhobos
//
//  Created by edz on 2020/6/18.
//

#import "GMPhobosSqulitModel.h"
#import <mach/mach_time.h>

@implementation GMPhobosSqulitModel
+ (GMPhobosSqulitModel *)modelOfDict:(NSDictionary *)data
                                type:(NSString *)phobosType
                              urlApi:(NSString *)urlapi
                         immediately:(BOOL)status {
    GMPhobosSqulitModel *model = [GMPhobosSqulitModel new];
    model.data = [GMPhobosSqulitModel dictionaryToJsonString:data];
    NSTimeInterval time = [[NSDate date] timeIntervalSince1970] * 1000;
    model.messageId = [NSString stringWithFormat:@"%.f*%lld", time, mach_absolute_time()];
    model.status = PhobosDataSendStatus_wait;
    model.phobosType = phobosType;
    model.api = urlapi;
    model.immediately = status;
    return model;
}

+ (NSString *)dictionaryToJsonString:(NSDictionary *)dict
{
    NSError *error = nil;
    NSData *jsonData = [NSJSONSerialization dataWithJSONObject:dict options:NSJSONWritingPrettyPrinted error:&error];
    if (error) {
        return nil;
    }
    return [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
}
@end
